Cuando me instalo el Forge, antes de instalar el mod que quiero me dice “ForgeModLoaderclient-0”

No se que ocurre si borro 2 veces META-INF pero no se que pase, no me digan de que tengo que borrar mi .minecraft porque ya lo hice y no me sirve de nada, por favor ayudenme porque siempre he querido usar un mod que no se actualizaba desde la 1.2.5! por favor ayudenme!